/* taken from JGroups Manual, sec 6.2 */

package org.jgroups.protocols;

import org.jgroups.*;
import org.jgroups.util.*;
import java.io.*;


public class MyHeader extends Header implements Streamable {
    int counter=0;
    
    public MyHeader() {
    }
    
    private MyHeader(int counter) {
	this.counter=counter;
    }
    
    public void writeExternal(ObjectOutput out) throws IOException
    {}
    
    public void readExternal(ObjectInput in) throws IOException,
      ClassNotFoundException
    {}
    
    public String toString() {
	return "counter=" + counter;
    }
    
    public int size() {
	return Global.INT_SIZE;
    }
    
    public void writeTo(DataOutputStream out) throws IOException {
	out.writeInt(counter);
    }
    
    public void readFrom(DataInputStream in) throws IOException,
      IllegalAccessException, InstantiationException {
	counter=in.readInt();
    }
}
